Status: Closed Start date: 2010-09-28
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Wont fix

Description

Redmine is really great software. However, it is sometimes tiring to click all the way through to some feature and then come back.
Anyway, my suggestion is to integrate MochaUl into Redmine. All of the processes would be processed much quicker.
Here is the demo of MochaUl: http://mochaui.org/demo/

And here is the documentation: http://mochaui.org/doc/files/Core/Core-js.html
And here is the GitHub project: http:/github.com/mui/mochaui

PS. Guys on MochaUl are developing the 1.0 stable version which should be out pretty soon.

History

#1 - 2010-09-28 13:06 - Felix Schéfer

Looks less than usable on my iPad, so I'd be surprised if we were to go down that road. Anyway, feel free to Submit patches, mocks, or even to
contact the UX_Team. You could also implement something using this atop the (coming) REST API | suppose.

#2 - 2010-09-28 20:29 - Terence Mill
Wow,, this is amazing!
+1 for that!

#3 - 2013-03-20 18:16 - Anonymous

There are tons of JavaScript based Uls out there. And it sure would be nice if Redmine's Ul would be improved a bit to take more advantage of recent
web developments.

Yet | don't think MochaUl is the way to go for that. Indeed, it seems to be one of the smaller, less widely used JS GUI libraries, actually, and has not
seen much development in the past year.

#4 - 2024-02-27 19:09 - Holger Just
- Status changed from New to Closed

- Resolution set to Wont fix

The MochaUl project seems dead now.

2025-05-17 1/1



http://mochaui.org/demo/
http://mochaui.org/doc/files/Core/Core-js.html
http://github.com/mui/mochaui
https://www.redmine.org/projects/redmine/wiki/UX_Team
http://www.tcpdf.org

